package cn.wisenergy.mapper;


import cn.wisenergy.model.app.Users;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @author 86187
 * @ Description:
 * @ Author     : 86187
 * @ Date       : 2021/1/6 15:32
 */
@Mapper
public interface UsersMapper extends BaseMapper<Users> {
    /**
     * 添加
     *
     * @param users 用户信息
     * @return 用户信息
     */
    int add(Users users);

    /**
     * 编辑
     *
     * @param users 用户信息
     * @return 修改是否成功
     */
    int edit(Users users);

    /**
     * 删除
     *
     * @param id 用户id
     * @return 删除是否成功
     */
    int delById(@Param("id") Integer id);

}
