package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("otc_order_details")
@ApiModel(value="OtcOrderDetails对象", description="")
public class OtcOrderDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "用户主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(name = "userId",value = "用户ID")
    private Integer userId;

    @ApiModelProperty(name = "orderId",value = "订单id")
    private Integer orderId;

    @ApiModelProperty(name = "type",value = "类型 1购买 2出售")
    private Integer type;

    @ApiModelProperty(name = "id",value = "币种名称")
    private String coinName;

    @ApiModelProperty(name = "coinBase",value = "基础币种")
    private String coinBase;

    @ApiModelProperty(name = "tradeNum",value = "交易币数量")
    private BigDecimal tradeNum;

    @ApiModelProperty(name = "id",value = "交易价格")
    private BigDecimal tradePrice;

    @ApiModelProperty(name = "fee",value = "手续费")
    private BigDecimal fee;

    @ApiModelProperty(name = "timeAt",value = "交易时间戳")
    private Integer timeAt;

    private Date createdAt;

    private Date updatedAt;


}
