package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.Users;

/**
 * @author 86187
 * @author 86187
 * @ Description: 用户接口
 * @ Author     : 86187
 * @ Date       : 2021/1/6 16:08
 */
public interface UserService {


    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    Users getById(Integer userId);



    /**
     * 根据手机号查询用户
     */
    Users queryUsersByPhone(String userId);

    /**
     * 根据OpenId查询用户
     */
    Users queryUsersByOpenId(String openId);

}
